%global githash d161da06704a55bac069f2948acd5110dc410506

Name:          jsonld-java
Version:       0.8.0
Release:       5%{?dist}
Summary:       A JSON-based format to serialize Linked Data for Java
License:       BSD
URL:           https://github.com/jsonld-java/jsonld-java/
Source0:       https://github.com/jsonld-java/jsonld-java/archive/%{githash}/%{name}-%{githash}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-core)
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-databind)
BuildRequires: mvn(commons-io:commons-io)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.httpcomponents:httpclient)
BuildRequires: mvn(org.apache.httpcomponents:httpclient-cache)
BuildRequires: mvn(org.apache.httpcomponents:httpcore)
BuildRequires: mvn(org.mockito:mockito-core)
BuildRequires: mvn(org.slf4j:jcl-over-slf4j)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-log4j12)

BuildArch:     noarch

%description
This is a Java implementation of the JSON-LD specification and
the JSON-LD-API specification.

%package parent
Summary:       JSONLD Java :: Parent POM

%description parent
This package contains Json-LD Java Parent POM.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{githash}

find . -name '*.class' -delete
# Do not delete test resources
find . -name '*.jar' -print ! -name "nested.jar" -delete

%pom_remove_plugin -r :animal-sniffer-maven-plugin
%pom_remove_plugin :appassembler-maven-plugin
%pom_remove_plugin -r :jacoco-maven-plugin

%pom_remove_dep :httpclient-osgi
%pom_remove_dep :httpcore-osgi
%pom_change_dep -r :httpclient-osgi :httpclient:'${httpclient.version}'
%pom_change_dep -r :httpcore-osgi :httpcore:'${httpcore.version}'
%pom_add_dep org.apache.httpcomponents:httpclient-cache:'${httpclient.version}' core

# UnknownHostException: purl.org: unknown error
rm -r core/src/test/java/com/github/jsonldjava/core/DocumentLoaderTest.java
# JsonLdError: invalid remote context: http://schema.org/
rm -r core/src/test/java/com/github/jsonldjava/core/ContextCompactionTest.java

%mvn_file :%{name} %{name}
%mvn_package :::tests: %{name}

%build

%mvn_build -s

%install
%mvn_install

%files -f .mfiles-jsonld-java
%doc README.md
%license LICENCE

%files parent -f .mfiles-jsonld-java-parent
%license LICENCE

%files javadoc -f .mfiles-javadoc
%license LICENCE

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 10 2016 gil cattaneo <puntogil@libero.it> 0.8.0-1
- update to 0.8.0

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Oct 01 2015 gil cattaneo <puntogil@libero.it> 0.7.0-1
- update to 0.7.0

* Sat Sep 05 2015 gil cattaneo <puntogil@libero.it> 0.6.0-1
- update to 0.6.0

* Fri Feb 27 2015 gil cattaneo <puntogil@libero.it> 0.5.1-1
- initial rpm
